#
# spec file for package xapps
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define typelib typelib-1_0-XApp-1_0
%define soname  libxapp
%define sover   1
Name:           xapps
Version:        1.0.3
Release:        1.1
Summary:        XApp library and common files
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/xapps
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtk-doc
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.22.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.37.3
BuildRequires:  pkgconfig(glib-2.0) >= 2.37.3
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10.0
BuildRequires:  pkgconfig(libgnomekbdui)
%glib2_gsettings_schema_requires

%description
This project gathers the components which are common to multiple
desktop environments and required to implement cross-DE solutions.

%package -n %{soname}%{sover}
Summary:        XApp library
License:        GPL-2.0+
Group:          System/Libraries
Requires:       %{name}-common

%description -n %{soname}%{sover}
This project gathers the components which are common to multiple
desktop environments and required to implement cross-DE solutions.

This library is used by several XApp applications.

%package -n %{typelib}
Summary:        XApp library -- Introspection bindings
License:        GPL-2.0+
Group:          System/Libraries

%description -n %{typelib}
This project gathers the components which are common to multiple
desktop environments and required to implement cross-DE solutions.

This library is used by several XApp applications.

%package -n %{soname}-devel
Summary:        Development files of libxapp
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Requires:       %{soname}%{sover} = %{version}
Requires:       %{typelib} = %{version}
Requires:       pkgconfig(xkbfile)

%description -n %{soname}-devel
The libxapp development package includes the header files,
libraries, development tools necessary for compiling and linking
application which will use libxapp.

%package common
Summary:        Common files for XApp desktop applications
License:        GPL-2.0+ and GPL-3.0
Group:          System/GUI/Other
BuildArch:      noarch

%description common
This project gathers the components which are common to multiple
desktop environments and required to implement cross-DE solutions.

This package includes files that are shared between several XApp
applications (i18n files and configuration schemas).

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
  --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

rm -f  %{buildroot}%{_bindir}/{pastebin,upload-system-info}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{soname}%{sover} -p /sbin/ldconfig

%postun -n %{soname}%{sover} -p /sbin/ldconfig

%post common
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files -n %{soname}%{sover}
%defattr(-,root,root)
%doc debian/{changelog,copyright}
%{_libdir}/%{soname}.so.%{sover}*

%files -n %{typelib}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/XApp-1.0.typelib

%files -n %{soname}-devel
%defattr(-,root,root)
%{_includedir}/xapp/
%{_libdir}/%{soname}.so
%{_libdir}/pkgconfig/xapp.pc
%{_datadir}/gir-1.0/XApp-1.0.gir

%files common
%defattr(-,root,root)
%doc debian/{changelog,copyright}
%{_bindir}/xfce4-set-wallpaper
%{_datadir}/icons/hicolor/*/actions/xapp-*.*
%{_datadir}/icons/hicolor/*/actions/view-*-pane*.*
%{_datadir}/glib-2.0/schemas/org.x.apps.*.xml

%changelog
* Thu May  4 2017 sor.alexei@meowr.ru
- Update to version 1.0.3:
  * Fix build.
  * xapp-kbd-layout-controller: Update test script to reflect
    current api/intent.
  * Review licensing.
  * Handle exceptions in usr/bin/upload-system-info.
  * Add a couple of symbolic pane visibility icons.
  * icons: Add an icon for regex-search.
  * Switch to the correct python deps.
  * xapp-kbd-layout-controller.c: Allow up to 3 character labels.
  * Complete our set of pane icons.
  * Add support for building gtk-doc.
  * Migrate away from gnome-common deprecated vars and macros.
  * Use python3 as all scripts are in python3.
- Update the package licence to GPL-3.0+.
* Tue Nov  8 2016 sor.alexei@meowr.ru
- Initial package.
